/**
 * Created by i856279 (Isabell) on 9/17/16.
 */

var country  = require('./Country.js');
var HtmlScreenshotReporter = require('protractor-jasmine2-screenshot-reporter');

exports.Reporter = function(){
  "use strict";
    this.getReporter = new HtmlScreenshotReporter({

      reportTitle: "Beat UI Automation Report -- " + country['country'],
      dest: 'reports/' + country['country'],
      filename: 'UI_Automation_UI_Test_Result.html',
      cleanDestination: true,
      showSummary: true,
      showConfiguration: true,
      reportOnlyFailedSpecs: false,
      captureOnlyFailedSpecs: false,
      showQuickLinks: true,
      configurationStrings: {
        "Date": new Date()
      },
      pathBuilder: function (currentSpec, suites) {
        return 'screenshots/' + currentSpec.fullName;
      }
    })
};

